Blog ArchiveWidget $title is not i18n enabled #18

Closed
sminnee opened this Issue Mar 31, 2012 · 3 comments

Comments

Projects
None yet
3 participants
Owner

sminnee commented Mar 31, 2012

Copied from http://open.silverstripe.org/ticket/6462

The ArchiveWidget? in blog is not i18n enabled.

A possible solution would be to override the Widget::Title() method as below:

function Title()
{
return _t('ArchiveWidget.BROWSE_BY_DATE', 'Browse by date');
}

Contributor

tractorcow commented Mar 5, 2014

This isn't a problem in 3.0, but we could potentially resolve this in the 2.4 branch by making the Widget::Title and other methods i18n enabled.

However, is it necessary to introduce new API and features to 2.4? I suggest we just close this as fixed in 3.0.

Contributor

tractorcow commented Mar 6, 2014

Contributor

assertchris commented Apr 14, 2015

@tractorcow @sminnee can this be closed?

assertchris added the bug label Apr 14, 2015

tractorcow closed this Apr 15, 2015

assertchris removed the discussion label Apr 15, 2015

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment